rte_flow_item_raw(3)

NAME
rte_flow_item_raw

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t relative:1
uint32_t search:1
uint32_t reserved:30
int32_t offset
uint16_t limit
uint16_t length
const uint8_t * pattern

Detailed Description

RTE_FLOW_ITEM_TYPE_RAW

Matches a byte string of a given length at a given offset.

Offset is either absolute (using the start of the packet) or relative to the end of the previous matched item in the stack, in which case negative values are allowed.

If search is enabled, offset is used as the starting point. The search area can be delimited by setting limit to a nonzero value, which is the maximum number of bytes after offset where the pattern may start.

Matching a zero-length pattern is allowed, doing so resets the relative offset for subsequent items.

This type does not support ranges (struct rte_flow_item.last).

Definition at line 846 of file rte_flow.h.

Field Documentation

  uint32_t relative
Look for pattern after the previous item.

Definition at line 847 of file rte_flow.h.

  uint32_t search
Search pattern from offset (see also limit).

Definition at line 848 of file rte_flow.h.

  uint32_t reserved
Reserved, must be set to zero.

Definition at line 849 of file rte_flow.h.

  int32_t offset
Absolute or relative offset for pattern.

Definition at line 850 of file rte_flow.h.

  uint16_t limit
Search area limit for start of pattern.

Definition at line 851 of file rte_flow.h.

  uint16_t length
Pattern length.

Definition at line 852 of file rte_flow.h.

  const uint8_t* pattern
Byte string to look for.

Definition at line 853 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.